jQuery(function() {
    $('.structure-item-icon').live('mouseenter', function() {
        set_popup_position($(this));
        hide_popups();
        $(this).attr('src', 'sites/all/themes/mf210/img/structure_item_highlighted.png');
        $(this).next().fadeIn('normal');
    }).live('mouseleave', function() {
        var icon = $(this),
            popup = $(this).next();
        setTimeout(function() {
            if(!popup.hasClass('active')) {
                popup.fadeOut('normal');
                icon.attr('src', 'sites/all/themes/mf210/img/structure_item.png');
            }
        }, 500);
    });

    $('.structure-item-icon').live('click', function() {
        if($(this).next().css('display') == 'none') {
            set_popup_position($(this));
            hide_popups();
            $(this).attr('src', 'sites/all/themes/mf210/img/structure_item_highlighted.png');
            $(this).next().fadeIn('normal');
        }
        $(this).next().addClass('active');
    });

    $('.structure-item-popup').live('click', function() {
        $(this).fadeOut('normal');
        $(this).removeClass('active');
    });

    function set_popup_position(element) {
        if(parseInt(element.parent().parent().css('left')) > 485) {
            element.next().css('left', -(parseInt(element.next().css('width'))+40));
        } else {
            element.next().css('left', 40);
        }
    }

    function hide_popups() {
        $('.structure-item-popup').fadeOut('normal');
        $('.structure-item-icon').attr('src', 'sites/all/themes/mf210/img/structure_item.png');
    }

    $('.structure-item-popup').live('mouseenter', function() {
        $(this).parent().children('img.structure-item-icon').attr('src', 'sites/all/themes/mf210/img/structure_item_highlighted.png');
        $(this).addClass('active');
        $(this).fadeIn('normal');
    }).live('mouseleave', function() {
        $(this).parent().children('img.structure-item-icon').attr('src', 'sites/all/themes/mf210/img/structure_item.png');
        $(this).fadeOut('normal');
        $(this).removeClass('active');
    });
});
